Package alt.javax.mail

# Interface Session

All Known Implementing Classes:
  `MockSession`, `SessionImpl`

public interface Session

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getDebug()`
`Session`
`getDefaultInstance(Properties props)`
`Session`
`getDefaultInstance(Properties props, Authenticator authenticator)`
`Folder`
`getFolder(URLName url)`
`Session`
`getInstance(Properties props)`
`Session`
`getInstance(Properties props, Authenticator authenticator)`
`PasswordAuthentication`
`getPasswordAuthentication(URLName url)`
`Properties`
`getProperties()`
`String`
`getProperty(String name)`
`Provider`
`getProvider(String protocol)`
`Provider[]`
`getProviders()`
`Store`
`getStore()`
`Store`
`getStore(String protocol)`
`Store`
`getStore(Provider provider)`
`Store`
`getStore(URLName url)`
`Transport`
`getTransport()`
`Transport`
`getTransport(Address address)`
`Transport`
`getTransport(String protocol)`
`Transport`
`getTransport(Provider provider)`
`Transport`
`getTransport(URLName url)`
`javax.mail.Session`
`getWrappedSession()`
`PasswordAuthentication`
`requestPasswordAuthentication(InetAddress addr, int port, String protocol, String prompt, String defaultUserName)`
`void`
`setDebug(boolean debug)`
`void`
`setPasswordAuthentication(URLName url, PasswordAuthentication pw)`
`void`
`setProvider(Provider provider)`

## Method Details

### getInstance

Session getInstance(Properties props, Authenticator authenticator)

### getInstance

Session getInstance(Properties props)

### getDefaultInstance

Session getDefaultInstance(Properties props, Authenticator authenticator)

### getDefaultInstance

Session getDefaultInstance(Properties props)

### setDebug

void setDebug(boolean debug)

### getDebug

boolean getDebug()

### getProviders

Provider[] getProviders()

### getProvider

Provider getProvider(String protocol) throws NoSuchProviderException

Throws:
  `NoSuchProviderException`

### setProvider

void setProvider(Provider provider) throws NoSuchProviderException

Throws:
  `NoSuchProviderException`

### getStore

Store getStore() throws NoSuchProviderException

Throws:
  `NoSuchProviderException`

### getStore

Store getStore(String protocol) throws NoSuchProviderException

Throws:
  `NoSuchProviderException`

### getStore

Store getStore(URLName url) throws NoSuchProviderException

Throws:
  `NoSuchProviderException`

### getStore

Store getStore(Provider provider) throws NoSuchProviderException

Throws:
  `NoSuchProviderException`

### getFolder

Folder getFolder(URLName url) throws MessagingException

Throws:
  `MessagingException`

### getTransport

Transport getTransport() throws NoSuchProviderException

Throws:
  `NoSuchProviderException`

### getTransport

Transport getTransport(String protocol) throws NoSuchProviderException

Throws:
  `NoSuchProviderException`

### getTransport

Transport getTransport(URLName url) throws NoSuchProviderException

Throws:
  `NoSuchProviderException`

### getTransport

Transport getTransport(Provider provider) throws NoSuchProviderException

Throws:
  `NoSuchProviderException`

### getTransport

Transport getTransport(Address address) throws NoSuchProviderException

Throws:
  `NoSuchProviderException`

### setPasswordAuthentication

void setPasswordAuthentication(URLName url, PasswordAuthentication pw)

### getPasswordAuthentication

PasswordAuthentication getPasswordAuthentication(URLName url)

### requestPasswordAuthentication

PasswordAuthentication requestPasswordAuthentication(InetAddress addr, int port, String protocol, String prompt, String defaultUserName)

### getProperties

Properties getProperties()

### getProperty

String getProperty(String name)

### getWrappedSession

javax.mail.Session getWrappedSession()